Projects
Get project
Get detailed information about a specific project, including usage stats.
GET
/
projects
/
{id}
Get project
curl --request GET \
--url https://app.mavera.io/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Project ID
Response
Project details
Unique project identifier
Available options:
project Project name
Project goal or description
Parent workspace ID
Parent workspace name
Number of chat threads in project
Number of Mave agent threads
Number of content generations
Credits used in the last 14 days
Credit usage alert threshold
Credit usage limit
Email for billing notifications
⌘I
Get project
curl --request GET \
--url https://app.mavera.io/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}